Bug 330224 - Add collection from network share is silently ignored [patch]
Summary: Add collection from network share is silently ignored [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Setup-Collections (show other bugs)
Version: 3.4.0
Platform: Ubuntu Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 23:47 UTC by Alex Peters
Modified: 2017-08-09 20:29 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments
addcollection.patch (2.20 KB, patch)
2015-02-24 19:51 UTC, Maik Qualmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Peters 2014-01-20 23:47:23 UTC
Selecting an SMB network share in the file chooser window for the purpose of setting up a new collection appears to succeed, but the share is not added as a collection.

Reproducible: Always

Steps to Reproduce:
1.  Open digiKam configuration and move to Collections pane.
2.  Click "Add Collection" next to "Collections on Network Shares," select a path within a network share (e.g. "smb://diskstation/home/digikam") and click OK.
Actual Results:  
digiKam does not ask for the collection's name, and nothing is added under the "Collections on Network Shares" header.

Expected Results:  
digiKam asks for the collection's name, like it does for "local" collections, and then it is added under the "Collections on Network Shares" header.

Copied from the Ubuntu bug database:
https://bugs.launchpad.net/ubuntu/+source/digikam/+bug/1270390

I have assigned "major" severity on the basis that my entire collection of photos is stored on a NAS device, and without the ability to add a collection from a network share, I am unable to use the software at all.
Comment 1 pavelkaroukin 2014-08-11 14:15:34 UTC
I experience same problem with:

Version 3.5.0
Using KDE Development Platform 4.13.3
Comment 2 Laurent Charrière 2015-02-19 21:49:56 UTC
I'm seeing the same issue with version 4.6.0 on Fedora 21.
Comment 3 John Gould 2015-02-23 19:53:52 UTC
Ditto the above.
OpenSUSE 13.1 (x86_64)
KDE 4.11.5
DigiKam  3.5.0
Thanks !
Comment 4 Maik Qualmann 2015-02-24 19:51:07 UTC
Created attachment 91277 [details]
addcollection.patch

DigiKam does currently not support "smb://" URLs. Samba shares must be locally mounted. With this patch, an error message is now displayed again.
Comment 5 caulier.gilles 2015-03-08 09:16:39 UTC
Git commit 59979832c0f0f643f35ebcbf5f0db0310250a2c7 by Gilles Caulier.
Committed on 08/03/2015 at 09:12.
Pushed by cgilles into branch 'master'.

apply patch #91277 from Maik Qualmann to display an error message if remote collection are not mounted on local computer when user want to add a remote collection to digiKam.
FIXED-IN: 4.9.0

M  +11   -7    utilities/setup/setupcollectionview.cpp

http://commits.kde.org/digikam/59979832c0f0f643f35ebcbf5f0db0310250a2c7
Comment 6 caulier.gilles 2015-03-08 09:35:39 UTC
Git commit ab3ace560bb21cc4373c7721da3a43e754462ca5 by Gilles Caulier.
Committed on 08/03/2015 at 09:32.
Pushed by cgilles into branch 'frameworks'.

backport commit #59979832c0f0f643f35ebcbf5f0db0310250a2c7 from git/master to frameworks branch

M  +7    -7    utilities/setup/collections/setupcollectionview.cpp

http://commits.kde.org/digikam/ab3ace560bb21cc4373c7721da3a43e754462ca5